Subject: Bug with b18 grep.exe and huge files
From: [email-masked] (Edward Avis)

17 Jan 1998 01:56:12 -0800
Message-ID: <c=GB%a=TMAILUK%p=DCNET%l=[email-masked]>
To: "[email-masked]'" <[email-masked]>

I don't read this list, but I hope you will find this bug report useful 
anyway.

I have a huge text file (actually a trace log from an application) which is 
nearly 50 meg. All its lines have the following format:

xxxxxxxx: yyy

where xxxxxxxx is up to 8 characters and yyy could be anything up to 
several thousand characters.  Obviously I'm not going to post the entire 
file, but here are the first ten lines of the file:

cmmspars  437   gssParseFile    ENTRY
cmmspars  456   gssParseFile    Get the first token
cmmspars  464   gssParseFile    Find next definition
cmmspars  497   gssParseFile    Declaration? 0
cmmspars  502   gssParseFile    Get definition type
cmmspars  505   gssParseFile    Token: Version
cmmspars  594   gssParseFile    Version number
cmmspars 1551    gssParseVersion        ENTRY
cmmspars 1563    gssParseVersion        Get the version number
cmmspars 1564    gssParseVersion        Token: 2.1

It goes on in this vein for another 49 megabytes.

The command I ran was:

ggrep ^cmmspars trace.txt

from the Windows NT cmd.exe prompt.  I have GNU grep installed as ggrep.exe 
so as not to clash with another grep program I have on my system.

This only produced about one tenth of the expected number of lines.  The 
first 964 lines of output are as normal, then it stops dead.  The last 
lines produced (numbers 955 to 964 inclusive) are:

cmmspars  505   gssParseFile    Token: OID
cmmspars  512   gssParseFile    OID definition
cmmspars 1599    gssParseOID    ENTRY
cmmspars 1616    gssParseOID    Get the display name
cmmspars 1617    gssParseOID    Token: AdminGroupNamePol
cmmspars 1622    gssParseOID    Set the display name to: AdminGroupNamePol
cmmspars 1632    gssParseOID    Get the next token
cmmspars 1664    gssParseOID    Get the dotted OID
cmmspars 1665    gssParseOID    Token: {2.5.127.26}
cmmspars 1667    gssParseOID    Set the dotted OID: {2.5.127.26}

(Note that the first ten lines of input are also the first ten lines of 
output.)

You might also like to note that the command completed very quickly 
(compared to the GNU grep 2.01 that comes with DJGPP), which makes me think 
it is not reading the entire input file.

I am running NT 4.0, service pack 3 with an NTFS filesystem.

If you would like me to do some tests to help track down this bug, please 
get in contact via email.

Thanks,

--
Ed Avis
[email-masked]
http://members.tripod.com/~mave/index.html

--
Ed Avis
[email-masked]
http://members.tripod.com/~mave/index.html

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".